LSIRQ(1)

BEZEICHNUNG
lsirq - Dienstprogramm zum Anzeigen von Informationen zu Kernel-Interrupts

ÜBERSICHT

lsirq [Optionen]

BESCHREIBUNG

Zeigt Informationen zum Kernel-Interrupt-Zähler an.

Die standardmäßige Ausgabe kann sich ändern. Daher sollten Sie vermeiden, standardmäßige Ausgaben in Ihren Skripten zu verwenden, wo immer es möglich ist. Definieren Sie stets die erwarteten Spalten, indem Sie die Option --output angeben.

OPTIONEN

-n, --noheadings
    gibt keine Überschriften aus.

-o, --output Liste
    gibt die anzuzeigenden Spalten an. Mit --help erhalten Sie eine Liste aller unterstützten Spalten. Die Vorgabeliste der Spalten kann erweitert werden, falls die Liste im Format +Liste angegeben ist.

-s, --sort Spalte
    gibt die Sortierkriterien nach Spaltenname an. Siehe die Ausgabe von --help für die auszugebenden Spaltennamen.

-J, --json
    verwendet das JSON-Ausgabeformat.

-P, --pairs
    gibt die Daten in Form von Schlüssel="Wert"-Paaren aus. Alle potenziell unsicheren Zeichen werden hexadezimal maskiert (\x<code>).

-S, --softirq
    zeigt Informationen zu Softirqs an.

-t, --threshold Minimum
    zeigt nur IRQs mit Zählern oberhalb des angegebenen Minimalwerts. Menschenlesbare Werte werden hierbei unterstützt (z.B. 1.2K).

-C, --cpu-list Liste
    zeigt nur Interrupt-Zähler in der angegebenen CPU-Liste an.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

AUTOREN

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl lsirq ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.